Bug 1484548 - [RFE] Add config option to skip container_images
Summary: [RFE] Add config option to skip container_images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.2
Assignee: Adam Grare
QA Contact: Einat Pacifici
URL:
Whiteboard:
Depends On: 1484544
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 20:23 UTC by Satoe Imaishi
Modified: 2017-10-24 00:40 UTC (History)
5 users (show)

Fixed In Version: 5.8.2.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1484544
Environment:
Last Closed: 2017-10-24 00:40:39 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-23 20:31:33 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/c1f88dddd9ebb1fefdfd99126b09b5a419980b28

commit c1f88dddd9ebb1fefdfd99126b09b5a419980b28
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Apr 5 12:10:03 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 23 16:29:14 2017 -0400

    Merge pull request #14606 from agrare/allow_container_images_to_be_skipped
    
    Add config option to skip container_images
    (cherry picked from commit d3ebee7c480c8e88ca6066f505fc922daceb4943)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1484548

 .../kubernetes/container_manager/refresh_parser.rb     |  6 +++---
 .../openshift/container_manager/refresh_parser.rb      |  6 +++---
 .../providers/openshift/container_manager/refresher.rb | 10 ++++++----
 config/settings.yml                                    |  1 +
 .../openshift/container_manager/refresher_spec.rb      | 18 ++++++++++++++++++
 5 files changed, 31 insertions(+), 10 deletions(-)

Comment 3 CFME Bot 2017-08-24 00:01:45 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/0c1fb6841d28c243d85e1833496aa6444a358718

commit 0c1fb6841d28c243d85e1833496aa6444a358718
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Apr 19 08:40:27 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 23 19:58:04 2017 -0400

    Merge pull request #14661 from cben/does-get_openshift_images-false-delete-spec
    
    Test improvements for #14606
    (cherry picked from commit 6354a4e4ae23a394ee02ef543c385dd61f47fb8e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1484548

 .../openshift/container_manager/refresher_spec.rb  | 67 +++++++++++++++++-----
 1 file changed, 53 insertions(+), 14 deletions(-)

Comment 4 CFME Bot 2017-08-31 15:36:04 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/5de7c14808fe7d6bdadb83ef8798de64460d58a0

commit 5de7c14808fe7d6bdadb83ef8798de64460d58a0
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Apr 19 08:40:27 2017 -0400
Commit:     Beni Cherniavsky-Paskin <cben@redhat.com>
CommitDate: Thu Aug 31 00:05:23 2017 +0300

    Merge pull request #14661 from cben/does-get_openshift_images-false-delete-spec
    
    Test improvements for #14606
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1484548
    
    (cherry picked from master commit 6354a4e4ae23a394ee02ef543c385dd61f47fb8e
    via [FINE] cherry pick commit 0c1fb6841d28c243d85e1833496aa6444a358718
    which adjusted for stub_settings_merge not existing yet,
    then adjusted for different [EUWE] vcr cassette)

 .../openshift/container_manager/refresher_spec.rb  | 64 ++++++++++++++++++----
 1 file changed, 53 insertions(+), 11 deletions(-)

Comment 5 CFME Bot 2017-08-31 15:36:17 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/b54f3a5a17623b467e0ab62a071ebcb9fe531f75

commit b54f3a5a17623b467e0ab62a071ebcb9fe531f75
Author:     Beni Cherniavsky-Paskin <cben@redhat.com>
AuthorDate: Mon Aug 28 14:31:20 2017 +0300
Commit:     Beni Cherniavsky-Paskin <cben@redhat.com>
CommitDate: Mon Aug 28 14:52:47 2017 +0300

    openshift refresher_spec: test more container_image fields
    
    Manually cherry-picked out of
    https://github.com/ManageIQ/manageiq-providers-openshift/pull/34
    Useful to better test the backported get_container_images option (#14606).
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1484548

 .../openshift/container_manager/refresher_spec.rb      | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

Comment 6 Beni Paskin-Cherniavsky 2017-10-01 07:16:05 UTC
QE: the new option is:

:ems_refresh:
  :openshift:
    :get_container_images: false  # default is true

Comment 7 Einat Pacifici 2017-10-01 12:48:01 UTC
Verified. 
Under Advanced settings, the default is set to true. Refresh works as expected.

Comment 9 errata-xmlrpc 2017-10-24 00:40:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.